Package ghidra.app.util.bin.format.macho.commands.chained

# Class DyldChainedFixupHeader

java.lang.Object
ghidra.app.util.bin.format.macho.commands.chained.DyldChainedFixupHeader

All Implemented Interfaces:
  `StructConverter`

public class DyldChainedFixupHeader extends Object implements StructConverter
Represents a dyld_chained_fixups_header structure.

See Also:
  - mach-o/fixup-chains.h

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DyldChainedFixupHeader(BinaryReader reader)`
  Creates a new `DyldChainedFixupHeader`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DyldChainedImports`
  `getChainedImports()`
  `DyldChainedStartsInImage`
  `getChainedStartsInImage()`
  `long`
  `getFixupsVersion()`
  `long`
  `getImportsCount()`
  `int`
  `getImportsFormat()`
  `long`
  `getImportsOffset()`
  `long`
  `getStartsOffset()`
  `int`
  `getSymbolsFormat()`
  `long`
  `getSymbolsOffset()`
  `boolean`
  `isCompress()`
  `void`
  `markup(Program program, Address address, MachHeader header, TaskMonitor monitor, MessageLog log)`
  Marks up this data structure with data structures and comments
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DyldChainedFixupHeader

    public DyldChainedFixupHeader(BinaryReader reader) throws IOException
    Creates a new `DyldChainedFixupHeader`
    Parameters:
      `reader` - A `BinaryReader` positioned at the start of the structure
    Throws:
      `IOException` - if there was an IO-related problem creating the structure

- ## Method Details

  - ### markup

    public void markup(Program program, Address address, MachHeader header, TaskMonitor monitor, MessageLog log) throws CancelledException
    Marks up this data structure with data structures and comments
    Parameters:
      `program` - The `Program` to mark up
      `address` - The `Address` of this data structure
      `header` - The Mach-O header
      `monitor` - A cancellable task monitor
      `log` - The log
    Throws:
      `CancelledException` - if the user cancelled the operation

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`

  - ### getFixupsVersion

    public long getFixupsVersion()

  - ### getStartsOffset

    public long getStartsOffset()

  - ### getImportsOffset

    public long getImportsOffset()

  - ### getSymbolsOffset

    public long getSymbolsOffset()

  - ### getImportsCount

    public long getImportsCount()

  - ### getImportsFormat

    public int getImportsFormat()

  - ### getSymbolsFormat

    public int getSymbolsFormat()

  - ### isCompress

    public boolean isCompress()

  - ### getChainedStartsInImage

    public DyldChainedStartsInImage getChainedStartsInImage()

  - ### getChainedImports

    public DyldChainedImports getChainedImports()